Vla-get-alttextprefix

提供: GizmoLabs
移動先: 案内検索
構文
(vla-get-alttextprefix vla-object )


機能
角度寸法以外のすべての寸法タイプについての変換寸法計測値の接頭表記を取得する。


引数
  • vla-object … VLAオブジェクト(DimAligned、DimArcLength、DimDiametric、DimOrdinate、DimRadial、DimRadialLarge、DimRotated)


戻り値
変換単位寸法値の接頭表記。


  • MEMO: このプロパティの初期値は ""。
  • 設定されている末頭表記をオフにするには、このプロパティを単一のピリオド(.)に設定する。
  • 注 : このプロパティは、指定された寸法でシステム変数 DIMAPOST[併記接頭/接尾表記]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_AltTextSuffix()
    ;; 寸法を作成して変換単位の接尾を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法の定義
    (setq point1 (vlax-3d-point 0 5 0)
          point2 (vlax-3d-point 5 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; 寸法の作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
       
    ;; 変換単位を有効に
    (vla-put-AltUnits dimObj :vlax-true)
    
    (vla-ZoomAll acadObj)

    ;; 変換単位の接頭を入力
    (setq suffix (vla-GetString (vla-get-Utility doc) :vlax-false "\n変換単位寸法の接頭を入力 : "))
    (vla-put-alttextprefix dimObj suffix)   ;; 結果をコミット
    
    (vla-Regen doc acAllViewports)
    
    ;; 読み込み
    (setq suffix (vla-get-alttextprefix dimObj))
    (if (/= suffix "")
        (alert (strcat "変換単位の接頭を次に変更しました: " suffix))
        (alert "変換単位の接頭はなしです。")
    )
)

関連事項